#ifndef _VISUAL_PRESENTER_AUDIO_H_
#define _VISUAL_PRESENTER_AUDIO_H_

#ifdef CONFIG_USB_DEBUG
#define DBG(format, arg...) printk(KERN_ALERT "%s %i\n" format "\n", __FUNCTION__, __LINE__, ##arg)
#else
#define DBG(fmn, args...) do {} while(0)
#endif

struct vpaudio_dev {
	struct snd_card 		*card;
	struct usb_device		*udev;
	struct snd_pcm 			*pcm;
	struct snd_pcm_substream 	*pcm_substream;

	unsigned int			start;
	unsigned int			isready;
	unsigned long			hwptr_done;
	unsigned long			transfer_done;
	
	unsigned char			INTEndpoint;
	unsigned char			bInterval;
	int				pipe;
	unsigned int			INTMaxsize;
	struct urb 			*irq;

	unsigned char			*data;

	spinlock_t			lock;
};

#endif	//_VISUAL_PRESENTER_AUDIO_H_
